﻿using System;
using Phidget22;
using Phidget22.Events;

// macos x
// https://answers.unity.com/questions/569369/dllnotfoundexception-on-c-library-in-osx-phidgets.html

// dd ... 

public class TestExample {

    private RCServo servo = null;

  static public void Main(string[] args)
     {
    	Console.WriteLine("MainStarted");
    	new TestExample();
    }
    
    public TestExample () {

        servo = new RCServo();
        servo.Open();
        servo.Attach += OnAttach;
    }
    
   
    
    void OnAttach(object sender, Phidget22.Events.AttachEventArgs e) {

        try {

            servo.TargetPosition = servo.MaxPosition;
            servo.Engaged = true;

        } catch (PhidgetException ex) {
           	Console.WriteLine("Error setting initial data: " + ex.Message);
        }

    }

    private void CloseConnection() {

        if(servo != null) {
            servo.Engaged = false;
            servo.Close();
            servo = null;
        }
    }

    private void OnDestroy() {
        CloseConnection();
    }

    private void OnApplicationQuit() {
        CloseConnection();
    }
}
